[ARVADOS] updated: 42f6376c6a62455758e3f45b396eb781572fcc38

Git user git at public.curoverse.com
Mon Sep 11 11:52:06 EDT 2017


Summary of changes:
 tools/arvbox/lib/arvbox/docker/common.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

       via  42f6376c6a62455758e3f45b396eb781572fcc38 (commit)
      from  d50079258389d087f4a9e7758f8f64877c356606 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 42f6376c6a62455758e3f45b396eb781572fcc38
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date:   Mon Sep 11 11:51:21 2017 -0400

    12234: Need --system so pip installs SDK packages globally.
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>

diff --git a/tools/arvbox/lib/arvbox/docker/common.sh b/tools/arvbox/lib/arvbox/docker/common.sh
index 688ca83..8792d31 100644
--- a/tools/arvbox/lib/arvbox/docker/common.sh
+++ b/tools/arvbox/lib/arvbox/docker/common.sh
@@ -65,7 +65,7 @@ pip_install() {
     done
     popd
 
-    if ! pip install --no-index --find-links /var/lib/pip $1 ; then
-        pip install $1
+    if ! pip install --no-index --find-links /var/lib/pip --system $1 ; then
+        pip install --system $1
     fi
 }

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list